Upgrading to PureMessage Major Versions (5.6.1 to 6.0)

Important
You must perform this upgrade as the root user. You can only upgrade to PureMessage 6 from PureMessage 5.6.1.

Before starting an upgrade, review the PureMessage "Prerequisites" section to ensure that your system is compatible with PureMessage 6.

This is not a typical upgrade. You will install PureMessage 6 alongside your existing PureMessage 5.6.1 installation by running the pmx-setup command.

Optionally, you can then migrate policy settings and other data from PureMessage 5.6.1 to PureMessage 6 by using the PureMessage migration script. For instructions, see "Migrating from Version 5.6.1 to Version 6."

Prior to installation, you will be prompted to stop Version 5.6.1. For this reason, it is recommended that you perform the upgrade/migration during a time that causes minimal disruption for users.

Once you have completed the installation and migrated all of the necessary 5.6.1 data, you can safely delete the 5.6.1 installation.